Bug 36168 - Missing D-Bus and /etc/machine-id
Missing D-Bus and /etc/machine-id
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.0
All Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Philipp Hahn
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-14 15:15 CEST by Philipp Hahn
Modified: 2017-04-04 18:29 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.006
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-10-14 15:15:45 CEST
While USS is running, firefox tries to start dbus which fails and constantly spams the log with the following messages:
> (firefox:555): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
> /usr/bin/dbus-lauch terminated abnormally without any error message
> process 555: D-Bus library appreas to be incorrectly set up; filed to read machine uuid: Failed to open "/etc/machine-id": Datei oder Verzeichnis nicht gefunden

See <http://www.freedesktop.org/software/systemd/man/machine-id.html>

apt-get install dbus-x11
[ -s /etc/machine-id ] || tr -d - </proc/sys/kernel/random/uuid >/etc/machine-id


I don't know what functionality of firefox is missing without dbus, but the log spamming should be removed at least.
Comment 1 Stefan Gohmann univentionstaff 2014-12-03 09:02:22 CET
It was also reported by a tester.
Comment 2 Philipp Hahn univentionstaff 2015-11-24 14:39:56 CET
If firefox is started from the command line, it continuously outputs:
> (firefox:4022): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
> /usr/bin/dbus-launch terminated abnormally without any error message
> process 4022: D-Bus library appears to be incorrectly set up; failed to read machine uuid: Failed to open "/etc/machine-id": Datei oder Verzeichnis nicht gefunden
> See the manual page for dbus-uuidgen to correct this issue.
Comment 3 Philipp Hahn univentionstaff 2016-09-08 16:02:55 CEST
r72450 | Bug #36168 uss: Install dbus-x11 needed by Firefox.

Needs to be built...
Comment 4 Erik Damrose univentionstaff 2017-01-30 12:24:11 CET
OK: No more firefox spam messages
Reopen: please add a changelog entry
Comment 5 Philipp Hahn univentionstaff 2017-02-01 10:48:03 CET
(In reply to Erik Damrose from comment #4)
> Reopen: please add a changelog entry

r76274 | Bug #36168 uss: dbus-x11 CL
Comment 6 Erik Damrose univentionstaff 2017-02-01 12:54:06 CET
Verified
Comment 7 Stefan Gohmann univentionstaff 2017-04-04 18:29:52 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".